maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Marco Mistroni" <mmistr...@gmail.com>
Subject Re: Maven2 / antrun / phases / classpath
Date Fri, 10 Nov 2006 16:23:19 GMT
Hello,
  I am :)

yes found problems, you already mention solutions.. :)

in my case, maven classpath was not enough so i had to add also external jar
files (i m using jbossws with xdoclet for J2EE 1.3 beans)

additionally, for anyone who might find same problems, if you have a
multiproject and in more than 1 project you are running xdoclet, it won't
work cos xdoclet plugin cannot be reinitialized.
i think i have read somewhere that in xdoclet2 plugin this is fixed...

hth
 marco


On 11/10/06, Elid OR <or@fimasys.fr> wrote:
>
> Hello Remy,
>
> Thank you for this post.
>
> I have exactly the same problem as you. I wonder if anybody else use
> xdoclet
> and maven 2 with antRun ...
>
> I've tried your solution and I would like to add that we must use
> the "maven.dependency.classpath" as xdoclet classpath.
>
> I agree with you that is not very elegant ... The project have a lot of
> dependencies that are not part of the project but are part of the build
> process ...
>
> Regards,
>
> Elid OR
>
>
> On Thursday 21 September 2006 11:13, Rémy Sanlaville wrote:
> > Hello Marco,
> >
> > After two hard days, I finaly found a solution.
> > You have to used the scope provided for your dependency
> > and to use the 1.2-SNAPSHOT version of the maven-antrun-plugin.
> > This does not work with the previous versions (1.1 and 1.0).
> >
> > So you must have :
> >
> > <dependency>
> >     <artifactId>xdoclet-ejb-module</artifactId>
> >     <groupId>xdoclet</groupId>
> >     <version>1.2.3</version>
> >     <type>jar</type>
> >     <scope>provided</scope>
> > </dependency>
> > [...]
> >
> > and
> >
> > <plugins>
> >     <plugin>
> >         <artifactId>maven-antrun-plugin</artifactId>
> >         <version>1.2-SNAPSHOT</version>
> >         [...]
> >
> >
> > A better solution would be to use the plugin dependencies but it does
> not
> > work for me.
> >
> http://www.nabble.com/-M2--maven.plugin.classpath-tf2292286.html#a6366996
> >
> > The best solution would be to use the xdoclet-maven-plugin but as you
> know
> > it's also
> > not working
> > http://www.nabble.com/-M2--Struts-and-XDoclet-tf1775233.html#a4832525
> >
> > If somebody have a solution, it would be great !
> >
> > Hope this help,
> >
> > Rémy
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
> For additional commands, e-mail: users-help@maven.apache.org
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message